GET
/auth-token/
curl --request GET \ --url 'https://api.e2enetworks.com/myaccount/api/v1/gpu/auth-token/?project_id=<PROJECT_ID>&location=<LOCATION>&apikey=<API_KEY>' \ --header 'Authorization: Bearer <API_TOKEN>'import requests
response = requests.get( "https://api.e2enetworks.com/myaccount/api/v1/gpu/auth-token/", params={"project_id": "<PROJECT_ID>", "location": "<LOCATION>", "apikey": "<API_KEY>"}, headers={"Authorization": "Bearer <API_TOKEN>"},)print(response.json())const url = new URL("https://api.e2enetworks.com/myaccount/api/v1/gpu/auth-token/");url.search = new URLSearchParams({ project_id: "<PROJECT_ID>", location: "<LOCATION>", apikey: "<API_KEY>" });
const response = await fetch(url, { method: "GET", headers: { "Authorization": "Bearer <API_TOKEN>" },});console.log(await response.json());Parameters
Section titled “Parameters”Query Parameters
Section titled “Query Parameters”project_id
required
integer
Project ID
location
required
string
Location
active_iam
integer
Active IAM ID (To access contact person account) Find your Active IAM ID here
Responses
Section titled “Responses”List of API tokens
Media typeapplication/json
object
code
integer
data
Array<object>
object
id
integer
token_name
string
api_key
string format: uuid
auth_token
string
created_at
string
expiry
string format: date
errors
object
message
string
Example
{ "code": 200, "data": [ { "id": 2833, "token_name": "new-token22", "api_key": "d2f41f70-917c-4b24-9f3c-de7a4bbec386", "auth_token": "eyJhbGciOiJSUzI1NiIsInR5cCI6IkpXVCJ9...", "created_at": "1 Months ago", "expiry": "2027-02-11" } ], "errors": {}, "message": "Success"}